#include <stdio.h>
#include <stdlib.h>

int main()
{
    int t , n , m , k , i , i2 , br=0;
    scanf("%d" , &t) ;
    int niz[t] ;
    for(i=0;i<=t-1;i++){
        scanf("%d %d %d" , &n , &m , &k);
        m = (m - k) + 1;
        n = (n - k) + 1;
        for(i2=1;i2<=n;i2++){
            br=br+i2 ;
        }
        if(m>=br)
            niz[i]=1 ;
        else
            niz[i]=0 ;
        br=0 ;
    }
    for(i=0;i<=t-1;i++){
        if(niz[i]==1)
            printf("Tak\n") ;
        else
            printf("Nie\n") ;
    }
}